=== debian/changelog ===
espresso (5.1+dfsg-4) unstable; urgency=medium

  * debian/control (Build-Depends): Removed libelpa-dev (Closes: #806615).
  * debian/rules (dh_override_auto_configure): Removed, no longer needed.
  * debian/source/README: Moved to ...
  * debian/README.source: ... here.
  * debian/control (Standards-Version): Bumped to 3.9.6.
  * debian/copyright: Syntax fix.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Feb 2016 15:11:16 +0100

espresso (5.1+dfsg-3) unstable; urgency=medium

  * debian/control (Build-Depends): Added libelpa-dev.
  * debian/rules (override_dh_auto_configure) New targets, enables ELPA
    configure flag.
  * debian/upstream: Moved to debian/upstream/metadata.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Oct 2014 17:42:34 +0200

espresso (5.1+dfsg-2) unstable; urgency=medium

  * debian/rules (SCALAPACK_LIBS): Remove mpich work-around, which now leads to
    FTBFS errors (Closes: #756796).

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Sep 2014 23:57:55 +0200

espresso (5.1+dfsg-1) unstable; urgency=low

  * New upstream release.  New features include:
   + PW: Hybrid functionals for USPP and PAW (experimental)
   + PW: partial support to the use of k-point labels in the Brillouin zone
   + PW: Langevin dynamics with Smart Monte Carlo
   + CP and PW: Tkatchenko-Scheffler vdW correction (experimental)
   + turboTDDFT: pseudo_Hermitian Lanczos algorithm and Davidson-like
     diagonalization added
   + PWCOND with DFT+U
   + New functionals: gau-pbe, PW86 (unrevised), B86B, XDM (exchange-hole
     dipole moment) model of dispersions, vdW-DF3, vdW-DF4 (Klimes et al),
     rVV10, optB86b-vdW, rev-vdW-DF2
   + PHonon: Calculation of phonon dispersions using the finite displacements
     supercell approach. See subdirectory FD/ in PHonon.
   + dynmat.x can calculate phonon contribution to dielectric tensor
   + turboTDDFT now supports hybrid functionals (only with norm-conserving
     pseudopotentials)
  * debian/rules: Replace $DEB_BUILD_ARCH with $DEB_BUILD_ARCH_CPU to account
    for kfreebsd-i386 as well.
  * debian/source/README: New file, document the splitup of the upstream PHonon
    tarball.
  * debian/patches/fftw_i386_unaligned.patch: Refreshed.
  * debian/patches/testsuite_echo_cp_subtests.patch: Likewise.
  * debian/patches/testsuite_pseudopotentials.patch: Add new pseudopotentials
    C.pbe-n-kjpaw_psl.0.1.UPF and C.pbe-mt_gipaw.UPF required by new test
    cases.
  * debian/patches/subversion_fixes.patch: Removed, no longer needed.
  * debian/rules (override_dh_auto_clean): Remove class/jar-files without
    source for a non-essential java helper-application.
  * debian/copyright: Switch to machine-readable format.
  * debian/copyright (Files-Excluded): New section.
  * debian/source/README: Document directory/file removals.
  * debian/rules (override_dh_auto_clean): Also remove Modules/version.f90.tmp.
  * debian/patches/makefile_clean.patch: New patch, adds to the clean rule in
    some Makefiles. 

 -- Michael Banck <mbanck@debian.org>  Thu, 24 Jul 2014 19:03:03 +0200
